# dask.dataframe.DataFrame.median_approximate

DataFrame.median_approximate(axis=None, method='default')

  Return the approximate median of the values over the requested axis.

  Parameters:
    axis{0, 1, “index”, “columns”} (default 0)

      0 or `"index"` for row-wise, 1 or `"columns"` for column-wise

    method{‘default’, ‘tdigest’, ‘dask’}, optional

      What method to use. By default will use Dask’s internal custom algorithm (`"dask"`). If set to `"tdigest"` will use tdigest for floats and ints and fallback to the `"dask"` otherwise.